Subject: [Sip] RE: I-D ACTION:draft-camarillo-sip-body-handling-00.txt

From: "Elwell, John" <[email-masked]>
Date: Thu, 24 May 2007 09:48:32 +0100

Gonzalo,

Concerning the handling parameter, there is no normative statement in
RFC 3261 mandating that this be supported, as far as I can see. The only
normative language seems to be "If the handling parameter is missing,
the value "required" SHOULD be assumed." There is no normative statement
concerning what to do if it is present. Therefore any UA that inserts
handling=optional should not rely on this being taken account of by the
peer UA.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: 23 May 2007 23:50
> To: [email-masked]
> Subject: I-D ACTION:draft-camarillo-sip-body-handling-00.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: Message Body Handling in the Session 
> Initiation Protocol (SIP)
> 	Author(s)	: G. Camarillo
> 	Filename	: draft-camarillo-sip-body-handling-00.txt
> 	Pages		: 9
> 	Date		: 2007-5-23
> 	
>    This document clarifies how message bodies are handled in SIP.
>    Additionally, it discusses to which degree SIP user agents need to
>    support MIME (Multipurpose Internet Mail 
> Extensions)-encoding of body
>    parts.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-camarillo-sip-body-h
> andling-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in 
> the body of 
> the message. 
> You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-camarillo-sip-body-handling-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE 
> /internet-drafts/draft-camarillo-sip-body-handling-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 24 May 2007 10:02:15 -0400

> handling=optional should not rely on this being taken account of by the

Things are a bit messed up wrt this header:

- 3261 section 20.11 says: "This SIP header field extends the MIME
   Content-Type (RFC 2183 [18])." But RFC 2183 is about
   Content-Disposition, so there is clearly a typo here.

- From reading that section you might think that 3261 invented the
   handling parameter. It isn't defined in 2183, but it is defined
   in 3204 which was published prior to 3261. That does have normative
   statements about how the parameter is to be processed. So 3261
   should have referenced that.

I don't know how we are going to dig ourselves out of this hole. I 
suppose the usual answer is a new option tag.

	Paul

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 25 May 2007 16:13:07 -0500

At 09:02 AM 5/24/2007, Paul Kyzivat wrote:
>I don't know how we are going to dig ourselves out of this hole.

how about write a quite Update to 3261 pointing to 3204 instead of 
2183. Then obsoleting this new Update with Gonzalo's ID (that clears 
the handling parameter up)...

just an (unusual) thought (to a non-straightforward problem)

>I suppose the usual answer is a new option tag.
>
>         Paul
>
>>John

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 27 May 2007 22:56:21 +0300

Hi,

Section 4.1 of the new revision below explains how to set the handling 
parameter:

http://users.piuha.net/gonzalo/temp/draft-camarillo-sip-body-handling-01.txt

We could add a sentence saying that UAs MUST support the handling 
parameter to the draft somewhere. Do we know of any implementation that 
implements MIME but does not implement this parameter? If there are no 
such implementations, we could be fine with just explicitly mandating 
its support from now on.

Cheers,

Gonzalo

James M. Polk wrote:
> how about write a quite Update to 3261 pointing to 3204 instead of 2183. 
> Then obsoleting this new Update with Gonzalo's ID (that clears the 
> handling parameter up)...
>